Subject: Re: linux-next: build warnings after merge of the nvmem tree

From: Miquel Raynal <[email-masked]>
Date: Wed, 15 Mar 2023 10:30:48 +0100

Hi Srinivas,

[email-masked] wrote on Wed, 15 Mar 2023 12:46:12 +1100:

> Hi all,
> 
> After merging the nvmem tree, today's linux-next build (htmldocs)
> produced these warnings:
> 
> drivers/of/base.c:1228: warning: Function parameter or member 'alias' not described in 'of_alias_from_compatible'
> drivers/of/base.c:1228: warning: Excess function parameter 'modalias' description in 'of_alias_from_compatible'
> 
> Introduced by commit
> 
>   c077ed868e50 ("of: Rename of_modalias_node()")

I failed to update all occurrences of "modalias" in this function. Here
is a diff that you can squash directly with the above mentioned commit.
I can submit it through the mailing list as well, but I believe it's
best to squash that based on the previous conversations (and it does
not matter since you re-send the patches to Greg in the end).

Thanks,
Miquèl

---

From f1378f89b9964fea759eabf5a54beee2782890c7 Mon Sep 17 00:00:00 2001
From: Miquel Raynal <[email-masked]>
Date: Wed, 15 Mar 2023 10:25:28 +0100
Subject: [PATCH] fixup! of: Rename of_modalias_node()

---
 drivers/of/base.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/drivers/of/base.c b/drivers/of/base.c
index 3c1badab287f..161fe3192c46 100644
--- a/drivers/of/base.c
+++ b/drivers/of/base.c
@@ -1211,7 +1211,7 @@ EXPORT_SYMBOL(of_find_matching_node_and_match);
  * of_alias_from_compatible - Lookup appropriate alias for a device node
  *			      depending on compatible
  * @node:	pointer to a device tree node
- * @modalias:	Pointer to buffer that alias value will be copied into
+ * @alias:	Pointer to buffer that alias value will be copied into
  * @len:	Length of alias value
  *
  * Based on the value of the compatible property, this routine will attempt
-- 
2.34.1